PdxSerializationException (Apache Geode 1.3.0)
Date: 2017-10-26

org.apache.geode.pdx

## Class PdxSerializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.GemFireIOException
          - - org.apache.geode.SerializationException
            - - org.apache.geode.pdx.PdxSerializationException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    NonPortableClassException

      public class PdxSerializationException
      extends SerializationException

  Thrown if a problem occurred during serialization or deserialization of a PDX. In most cases consult the cause for a description of the problem.
  Since:
    GemFire 6.6
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdxSerializationException(java.lang.String message)` Create the exception with the given message.
    `PdxSerializationException(java.lang.String message, java.lang.Throwable cause)` Create the exception with the given message and cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PdxSerializationException

          public PdxSerializationException(java.lang.String message)

      Create the exception with the given message.
      Parameters:
        `message` - the message of the new exception

    - #### PdxSerializationException

          public PdxSerializationException(java.lang.String message,
                                           java.lang.Throwable cause)

      Create the exception with the given message and cause.
      Parameters:
        `message` - the message of the new exception
        `cause` - the cause of the new exception